Subject: Re: [bug#29582] [PATCH] gnu: git-modes: Rename to 'emacs-git-modes'.

From: Leo Famulari <[email-masked]>
Date: Thu, 7 Dec 2017 15:53:48 -0500

On Thu, Dec 07, 2017 at 11:26:07PM +0300, Alex Kost wrote:
> Leo Famulari (2017-12-06 14:51 -0500) wrote:
> > Usually when we prefix package names, we only do it for libraries, but
> > not for end-user applications.
> 
> Then I'm lost here: it is absolutely not clear for me where the border
> between libraries and end-user applications lies in the Emacs world.
> Such things as "emacs-dash" or "emacs-s" are definitely libraries but
> most of the other Emacs packages are intended for users but we still
> prefix them ("emacs-auctex", "emacs-pdf-tools", etc.)

I was giving some background on how we handle this for other packages,
but not giving specific instructions for Emacs packages, which I have no
experience with.